Bug 31785 - App tests in jenkins
App tests in jenkins
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Dirk Wiesenthal
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 07:52 CEST by Stefan Gohmann
Modified: 2013-11-19 06:43 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-06-21 07:52:47 CEST
Currently we start an UCS autotest environment in jenkins. We should also be able to start a similar environment which installs the app.
Comment 1 Stefan Gohmann univentionstaff 2013-06-26 16:52:20 CEST
I've added the following jenkins jobs:
 - UCS 3.1 App Autotest MultiEnv
 - UCS 3.1 App Autotest SingleEnv (S4 Master)
 - UCS 3.2 App Autotest MultiEnv
 - UCS 3.2 App Autotest SingleEnv (S4 Master)

It lacks jobs for the App update.
Comment 2 Stefan Gohmann univentionstaff 2013-08-15 15:10:42 CEST
The ucs-test-udm tests should be re-checked which one should be tagged with apptest.
Comment 3 Stefan Gohmann univentionstaff 2013-09-06 10:48:43 CEST
(In reply to Stefan Gohmann from comment #2)
> The ucs-test-udm tests should be re-checked which one should be tagged with
> apptest.

Done.

I've added more UCS 3.1 to UCS 3.2 upgrade projects in jenkins:
 - UCS 3.1 to 3.2 Autotest MultiEnv
 - UCS 3.1 to 3.2 App Autotest Update MultiEnv

Both projects upgrade from UCS 3.1 to UCS 3.2.

The project 'UCS 3.2 App Autotest MultiEnv' uses testsing and appcenter.test and can be used now. 'UCS 3.2 App Autotest Update MultiEnv' uses the normal appcenter and that will currently fail, but it can be used after the 3.2 release.
Comment 4 Stefan Gohmann univentionstaff 2013-09-11 16:33:13 CEST
No changelog entry needed.
Comment 5 Dirk Wiesenthal univentionstaff 2013-09-25 15:52:59 CEST
Jenkins projects okay
Comment 6 Stefan Gohmann univentionstaff 2013-11-19 06:43:16 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".